Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-12-2013 17:36:28

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.8.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

apt-p2p : configuration

Salut,

Je viens d'installer apt-p2p, déjà à l'installation, j'ai un message d'erreur ( là, c'est à la reinstallation mais j'ai eu le même à l'installation ) :

(root@sid) (/home/nono) # aptitude reinstall apt-p2p
Les paquets suivants seront RÉINSTALLÉS :     
  apt-p2p
0 paquets mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de télécharger 0 o/111 ko d'archives. Après dépaquetage, 0 o seront utilisés.
(Lecture de la base de données... 376548 fichiers et répertoires déjà installés.)
Preparing to unpack .../apt-p2p_0.1.6+nmu1_all.deb ...
Stopping apt-p2p.
Unpacking apt-p2p (0.1.6+nmu1) over (0.1.6+nmu1) ...
Processing triggers for python-support (1.0.15) ...
Processing triggers for readahead-fedora (2:1.5.6-5) ...
Processing triggers for man-db (2.6.5-2) ...
Paramétrage de apt-p2p (0.1.6+nmu1) ...
Starting apt-p2pUnhandled Error
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 652, in run
    runApp(config)
  File "/usr/lib/python2.7/dist-packages/twisted/scripts/twistd.py", line 23, in runApp
    _SomeApplicationRunner(config).run()
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 386, in run
    self.application = self.createOrGetApplication()
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 451, in createOrGetApplication
    application = getApplication(self.config, passphrase)
--- <exception caught here> ---
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 462, in getApplication
    application = service.loadApplication(filename, style, passphrase)
  File "/usr/lib/python2.7/dist-packages/twisted/application/service.py", line 405, in loadApplication
    application = sob.loadValueFromFile(filename, 'application', passphrase)
  File "/usr/lib/python2.7/dist-packages/twisted/persisted/sob.py", line 210, in loadValueFromFile
    exec fileObj in d, d
  File "/usr/sbin/apt-p2p", line 73, in <module>
    from apt_p2p.apt_p2p import AptP2P
  File "/usr/lib/pymodules/python2.7/apt_p2p/apt_p2p.py", line 19, in <module>
    from MirrorManager import MirrorManager
  File "/usr/lib/pymodules/python2.7/apt_p2p/MirrorManager.py", line 16, in <module>
    from AptPackages import AptPackages
  File "/usr/lib/pymodules/python2.7/apt_p2p/AptPackages.py", line 40, in <module>
    from apt.progress.old import OpProgress
exceptions.ImportError: No module named old

Failed to load application: No module named old

.
Processing triggers for python-support (1.0.15) ...



Bon je continue comme si de rien ... C'est du chinois pour moi ( comme la thèse de captnfab ) .
---
A la configuration de /usr/share/pyshared/apt_p2p/AptPackages.py , jai pas vu de ligne from apt import OpProgress .

Par contre, j'avais une ligne :

from apt.progress.old import OpProgress


que j'ai remplacé par :

from apt.progress.base import OpProgress



Et ça marche quand je redémarre en mode normal .
Mais en mode recovery, que j'utilise pour faire les mises à jour ( sans serveur X, donc ), il me faut faire un :

service apt-p2p restart


avant d'utiliser aptitude, sinon il ne trouve pas les dépôts .
---
Pouvez vous m'éclairer ?

Dernière modification par nono47 (11-12-2013 17:49:03)

Hors ligne

Pied de page des forums